# future FYI, this is THE insert script for myob in perl

use DBI;
use strict;
use Shell;

my $mysql_query;
my $dsn = 'DSN=MYOB; TYPE=MYOB; ACCESS_TYPE=READ_WRITE; DRIVER_COMPLETION=DRIVER_NOPROMPT; NETWORK_PROTOCOL=NONET; SQL_ATTR_AUTOCOMMIT=0; INSERT_TYPE=UPDATE_DUPLICATES;IDENTIFY_BY=RECORD_ID';
my $dbh = DBI->connect("dbi:ODBC:$dsn",'your username','your password',
	{RaiseError=>1,AutoCommit=>0})
		or die "Couldn't connect to database: ". DBI->errstr;
my @row;

my $query;

sub err_handler
{
	my ($sql_state, $msg, $nativeerr) = @_;

	print "===> sql_state: $sql_state\n===> msg: $msg\n===> nativeerr: $nativeerr\n";
	return 1;
}

$dbh->{odbc_err_handler} = \&err_handler;
$dbh->{odbc_exec_direct} = 1;

$query="
INSERT into Import_Item_Sales (Colastname,FirstName,AddressLine1, AddressLine2, AddressLine3, AddressLine4, InvoiceNumber, SaleDate, ItemNumber, DeliveryStatus,Description,Job, Comment, Memo, TaxCode, NonGSTLCTAmount, GSTAmount, LCTAmount, FreightExTaxAmount, FreightIncTaxAmount, FreightNonGSTLCTAmount, FreightGSTAmount, FreightLCTAmount, PaymentIsDue, PercentDiscount, PercentMonthlyCharge, ReferralSource, AmountPaid, PaymentNotes, NameOnCard, ExpiryDate) VALUES ('Campi','Michael', 'AddressLine1', 'AddressLine2', 'AddressLine3', 'AddressLine4', '000023424', '20/03/2007', 'MTG', 'A','Description field','Job field', 'Comment Field', 'Memo Field', 'GST',0, 22.73, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 250, 'Payment notes field', 'Name on card field','')";

$query="INSERT into Import_Item_Sales
(CoLastName, Firstname,AddressLine1, AddressLine2, AddressLine3, AddressLine4, Inclusive, SaleDate, CustomersNumber, ShipVia, ItemNumber, DeliveryStatus, Quantity, Description, ExTaxPrice, IncTaxPrice, Discount, ExTaxTotal, IncTaxTotal, Job, Comment, Memo, SalesPersonLastName, SalespersonFirstName, ShippingDate, TaxCode, NonGSTLCTAmount, GSTAmount, LCTAmount, FreightExTaxAmount, FreightIncTaxAmount, FreightTaxCode, FreightNonGSTLCTAmount, FreightGSTAmount, FreightLCTAmount, SaleStatus, CurrencyCode, ExchangeRate, PaymentIsDue, DiscountDays, BalanceDueDays, PercentDiscount, PercentMonthlyCharge, ReferralSource, AmountPaid, PaymentMethod, PaymentNotes, NameOnCard, CardNumber, ExpiryDate, AuthorisationCode, DrawerBSB, DrawerAccountNumber, DrawerAccountName, DrawerChequeNumber,Category,Invoicenumber, CardID)
VALUES
('','Helen','AddressLine1', 'AddressLine2', 'AddressLine3', 'AddressLine4', '', '20/03/2007', '', '', 'MTG', 'A', '2', 'Description field', '113.63', '125', '0', '227.27', '250', 'Job field', 'Comment Field', 'Memo Field', '', '', '', 'GST', '0', '22.73', '0', '0', '0', 'GST', '0', '0', '0', 'I', '', '0', '0', '0', '0', '0', '0', '0', '250', '', 'Payment notes field', 'Name on card field', '', '', '', '', null, '', '', '','00088432', 'brownh4')
";

$query="INSERT INTO Import_Customer_Cards (CoLastName, FirstName, CardID)
VALUES (('ffff', 'ffff' , '555555'), ('VAN BERT', 'RUSSELL' , '12345'))";

my $sth = $dbh->prepare($query)
	or die "Unable to prepare query\n";
$sth->execute 
	or die "Unable to execute query\n";

my $query="END TRANSACTION";

my $sth = $dbh->prepare($query)
	or die "Unable to prepare query\n";
$sth->execute 
	or die "Unable to execute query\n";

$dbh->commit();

$dbh->disconnect;
